Generation Framework

## org.eclipse.gmf.gmfgraph
Interface GMFGraphFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GMFGraphFactoryImpl

    public interface GMFGraphFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `GMFGraphPackage`
** Generated **

Field Summary
`static GMFGraphFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`AlignmentFacet` `createAlignmentFacet()` Returns a new object of class 'Alignment Facet'
`BasicFont` `createBasicFont()` Returns a new object of class 'Basic Font'
`BorderLayout` `createBorderLayout()` Returns a new object of class 'Border Layout'
`BorderLayoutData` `createBorderLayoutData()` Returns a new object of class 'Border Layout Data'
`BorderRef` `createBorderRef()` Returns a new object of class 'Border Ref'
`Canvas` `createCanvas()` Returns a new object of class 'Canvas'
`ChildAccess` `createChildAccess()` Returns a new object of class 'Child Access'
`Compartment` `createCompartment()` Returns a new object of class 'Compartment'
`CompoundBorder` `createCompoundBorder()` Returns a new object of class 'Compound Border'
`Connection` `createConnection()` Returns a new object of class 'Connection'
`ConstantColor` `createConstantColor()` Returns a new object of class 'Constant Color'
`CustomAttribute` `createCustomAttribute()` Returns a new object of class 'Custom Attribute'
`CustomBorder` `createCustomBorder()` Returns a new object of class 'Custom Border'
`CustomConnection` `createCustomConnection()` Returns a new object of class 'Custom Connection'
`CustomDecoration` `createCustomDecoration()` Returns a new object of class 'Custom Decoration'
`CustomFigure` `createCustomFigure()` Returns a new object of class 'Custom Figure'
`CustomLayout` `createCustomLayout()` Returns a new object of class 'Custom Layout'
`CustomLayoutData` `createCustomLayoutData()` Returns a new object of class 'Custom Layout Data'
`DefaultSizeFacet` `createDefaultSizeFacet()` Returns a new object of class 'Default Size Facet'
`DiagramLabel` `createDiagramLabel()` Returns a new object of class 'Diagram Label'
`Dimension` `createDimension()` Returns a new object of class 'Dimension'
`Ellipse` `createEllipse()` Returns a new object of class 'Ellipse'
`FigureAccessor` `createFigureAccessor()` Returns a new object of class 'Figure Accessor'
`FigureDescriptor` `createFigureDescriptor()` Returns a new object of class 'Figure Descriptor'
`FigureGallery` `createFigureGallery()` Returns a new object of class 'Figure Gallery'
`FigureRef` `createFigureRef()` Returns a new object of class 'Figure Ref'
`FlowLayout` `createFlowLayout()` Returns a new object of class 'Flow Layout'
`GeneralFacet` `createGeneralFacet()` Returns a new object of class 'General Facet'
`GradientFacet` `createGradientFacet()` Returns a new object of class 'Gradient Facet'
`GridLayout` `createGridLayout()` Returns a new object of class 'Grid Layout'
`GridLayoutData` `createGridLayoutData()` Returns a new object of class 'Grid Layout Data'
`Insets` `createInsets()` Returns a new object of class 'Insets'
`Label` `createLabel()` Returns a new object of class 'Label'
`LabeledContainer` `createLabeledContainer()` Returns a new object of class 'Labeled Container'
`LabelOffsetFacet` `createLabelOffsetFacet()` Returns a new object of class 'Label Offset Facet'
`LayoutRef` `createLayoutRef()` Returns a new object of class 'Layout Ref'
`LineBorder` `createLineBorder()` Returns a new object of class 'Line Border'
`MarginBorder` `createMarginBorder()` Returns a new object of class 'Margin Border'
`Node` `createNode()` Returns a new object of class 'Node'
`Point` `createPoint()` Returns a new object of class 'Point'
`Polygon` `createPolygon()` Returns a new object of class 'Polygon'
`PolygonDecoration` `createPolygonDecoration()` Returns a new object of class 'Polygon Decoration'
`Polyline` `createPolyline()` Returns a new object of class 'Polyline'
`PolylineConnection` `createPolylineConnection()` Returns a new object of class 'Polyline Connection'
`PolylineDecoration` `createPolylineDecoration()` Returns a new object of class 'Polyline Decoration'
`Rectangle` `createRectangle()` Returns a new object of class 'Rectangle'
`RGBColor` `createRGBColor()` Returns a new object of class 'RGB Color'
`RoundedRectangle` `createRoundedRectangle()` Returns a new object of class 'Rounded Rectangle'
`ScalablePolygon` `createScalablePolygon()` Returns a new object of class 'Scalable Polygon'
`StackLayout` `createStackLayout()` Returns a new object of class 'Stack Layout'
`XYLayout` `createXYLayout()` Returns a new object of class 'XY Layout'
`XYLayoutData` `createXYLayoutData()` Returns a new object of class 'XY Layout Data'
`GMFGraphPackage` `getGMFGraphPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final GMFGraphFactory eINSTANCE

  The singleton instance of the factory.

  ** Generated **

Method Detail

### createCanvas

    Canvas createCanvas()

  Returns a new object of class 'Canvas'.

  Returns:
    a new object of class 'Canvas'.
  ** Generated **

### createFigureGallery

    FigureGallery createFigureGallery()

  Returns a new object of class 'Figure Gallery'.

  Returns:
    a new object of class 'Figure Gallery'.
  ** Generated **

### createNode

    Node createNode()

  Returns a new object of class 'Node'.

  Returns:
    a new object of class 'Node'.
  ** Generated **

### createChildAccess

    ChildAccess createChildAccess()

  Returns a new object of class 'Child Access'.

  Returns:
    a new object of class 'Child Access'.
  ** Generated **

### createConnection

    Connection createConnection()

  Returns a new object of class 'Connection'.

  Returns:
    a new object of class 'Connection'.
  ** Generated **

### createCompartment

    Compartment createCompartment()

  Returns a new object of class 'Compartment'.

  Returns:
    a new object of class 'Compartment'.
  ** Generated **

### createDiagramLabel

    DiagramLabel createDiagramLabel()

  Returns a new object of class 'Diagram Label'.

  Returns:
    a new object of class 'Diagram Label'.
  ** Generated **

### createGeneralFacet

    GeneralFacet createGeneralFacet()

  Returns a new object of class 'General Facet'.

  Returns:
    a new object of class 'General Facet'.
  ** Generated **

### createAlignmentFacet

    AlignmentFacet createAlignmentFacet()

  Returns a new object of class 'Alignment Facet'.

  Returns:
    a new object of class 'Alignment Facet'.
  ** Generated **

### createGradientFacet

    GradientFacet createGradientFacet()

  Returns a new object of class 'Gradient Facet'.

  Returns:
    a new object of class 'Gradient Facet'.
  ** Generated **

### createLabelOffsetFacet

    LabelOffsetFacet createLabelOffsetFacet()

  Returns a new object of class 'Label Offset Facet'.

  Returns:
    a new object of class 'Label Offset Facet'.
  ** Generated **

### createDefaultSizeFacet

    DefaultSizeFacet createDefaultSizeFacet()

  Returns a new object of class 'Default Size Facet'.

  Returns:
    a new object of class 'Default Size Facet'.
  ** Generated **

### createFigureDescriptor

    FigureDescriptor createFigureDescriptor()

  Returns a new object of class 'Figure Descriptor'.

  Returns:
    a new object of class 'Figure Descriptor'.
  ** Generated **

### createFigureRef

    FigureRef createFigureRef()

  Returns a new object of class 'Figure Ref'.

  Returns:
    a new object of class 'Figure Ref'.
  ** Generated **

### createLabel

    Label createLabel()

  Returns a new object of class 'Label'.

  Returns:
    a new object of class 'Label'.
  ** Generated **

### createLabeledContainer

    LabeledContainer createLabeledContainer()

  Returns a new object of class 'Labeled Container'.

  Returns:
    a new object of class 'Labeled Container'.
  ** Generated **

### createRectangle

    Rectangle createRectangle()

  Returns a new object of class 'Rectangle'.

  Returns:
    a new object of class 'Rectangle'.
  ** Generated **

### createRoundedRectangle

    RoundedRectangle createRoundedRectangle()

  Returns a new object of class 'Rounded Rectangle'.

  Returns:
    a new object of class 'Rounded Rectangle'.
  ** Generated **

### createEllipse

    Ellipse createEllipse()

  Returns a new object of class 'Ellipse'.

  Returns:
    a new object of class 'Ellipse'.
  ** Generated **

### createPolyline

    Polyline createPolyline()

  Returns a new object of class 'Polyline'.

  Returns:
    a new object of class 'Polyline'.
  ** Generated **

### createPolygon

    Polygon createPolygon()

  Returns a new object of class 'Polygon'.

  Returns:
    a new object of class 'Polygon'.
  ** Generated **

### createScalablePolygon

    ScalablePolygon createScalablePolygon()

  Returns a new object of class 'Scalable Polygon'.

  Returns:
    a new object of class 'Scalable Polygon'.
  ** Generated **

### createPolylineConnection

    PolylineConnection createPolylineConnection()

  Returns a new object of class 'Polyline Connection'.

  Returns:
    a new object of class 'Polyline Connection'.
  ** Generated **

### createPolylineDecoration

    PolylineDecoration createPolylineDecoration()

  Returns a new object of class 'Polyline Decoration'.

  Returns:
    a new object of class 'Polyline Decoration'.
  ** Generated **

### createPolygonDecoration

    PolygonDecoration createPolygonDecoration()

  Returns a new object of class 'Polygon Decoration'.

  Returns:
    a new object of class 'Polygon Decoration'.
  ** Generated **

### createCustomFigure

    CustomFigure createCustomFigure()

  Returns a new object of class 'Custom Figure'.

  Returns:
    a new object of class 'Custom Figure'.
  ** Generated **

### createCustomDecoration

    CustomDecoration createCustomDecoration()

  Returns a new object of class 'Custom Decoration'.

  Returns:
    a new object of class 'Custom Decoration'.
  ** Generated **

### createCustomConnection

    CustomConnection createCustomConnection()

  Returns a new object of class 'Custom Connection'.

  Returns:
    a new object of class 'Custom Connection'.
  ** Generated **

### createRGBColor

    RGBColor createRGBColor()

  Returns a new object of class 'RGB Color'.

  Returns:
    a new object of class 'RGB Color'.
  ** Generated **

### createConstantColor

    ConstantColor createConstantColor()

  Returns a new object of class 'Constant Color'.

  Returns:
    a new object of class 'Constant Color'.
  ** Generated **

### createBasicFont

    BasicFont createBasicFont()

  Returns a new object of class 'Basic Font'.

  Returns:
    a new object of class 'Basic Font'.
  ** Generated **

### createPoint

    Point createPoint()

  Returns a new object of class 'Point'.

  Returns:
    a new object of class 'Point'.
  ** Generated **

### createDimension

    Dimension createDimension()

  Returns a new object of class 'Dimension'.

  Returns:
    a new object of class 'Dimension'.
  ** Generated **

### createInsets

    Insets createInsets()

  Returns a new object of class 'Insets'.

  Returns:
    a new object of class 'Insets'.
  ** Generated **

### createBorderRef

    BorderRef createBorderRef()

  Returns a new object of class 'Border Ref'.

  Returns:
    a new object of class 'Border Ref'.
  ** Generated **

### createLineBorder

    LineBorder createLineBorder()

  Returns a new object of class 'Line Border'.

  Returns:
    a new object of class 'Line Border'.
  ** Generated **

### createMarginBorder

    MarginBorder createMarginBorder()

  Returns a new object of class 'Margin Border'.

  Returns:
    a new object of class 'Margin Border'.
  ** Generated **

### createCompoundBorder

    CompoundBorder createCompoundBorder()

  Returns a new object of class 'Compound Border'.

  Returns:
    a new object of class 'Compound Border'.
  ** Generated **

### createCustomBorder

    CustomBorder createCustomBorder()

  Returns a new object of class 'Custom Border'.

  Returns:
    a new object of class 'Custom Border'.
  ** Generated **

### createCustomLayoutData

    CustomLayoutData createCustomLayoutData()

  Returns a new object of class 'Custom Layout Data'.

  Returns:
    a new object of class 'Custom Layout Data'.
  ** Generated **

### createGridLayoutData

    GridLayoutData createGridLayoutData()

  Returns a new object of class 'Grid Layout Data'.

  Returns:
    a new object of class 'Grid Layout Data'.
  ** Generated **

### createBorderLayoutData

    BorderLayoutData createBorderLayoutData()

  Returns a new object of class 'Border Layout Data'.

  Returns:
    a new object of class 'Border Layout Data'.
  ** Generated **

### createLayoutRef

    LayoutRef createLayoutRef()

  Returns a new object of class 'Layout Ref'.

  Returns:
    a new object of class 'Layout Ref'.
  ** Generated **

### createCustomLayout

    CustomLayout createCustomLayout()

  Returns a new object of class 'Custom Layout'.

  Returns:
    a new object of class 'Custom Layout'.
  ** Generated **

### createGridLayout

    GridLayout createGridLayout()

  Returns a new object of class 'Grid Layout'.

  Returns:
    a new object of class 'Grid Layout'.
  ** Generated **

### createBorderLayout

    BorderLayout createBorderLayout()

  Returns a new object of class 'Border Layout'.

  Returns:
    a new object of class 'Border Layout'.
  ** Generated **

### createCustomAttribute

    CustomAttribute createCustomAttribute()

  Returns a new object of class 'Custom Attribute'.

  Returns:
    a new object of class 'Custom Attribute'.
  ** Generated **

### createFigureAccessor

    FigureAccessor createFigureAccessor()

  Returns a new object of class 'Figure Accessor'.

  Returns:
    a new object of class 'Figure Accessor'.
  ** Generated **

### createFlowLayout

    FlowLayout createFlowLayout()

  Returns a new object of class 'Flow Layout'.

  Returns:
    a new object of class 'Flow Layout'.
  ** Generated **

### createXYLayout

    XYLayout createXYLayout()

  Returns a new object of class 'XY Layout'.

  Returns:
    a new object of class 'XY Layout'.
  ** Generated **

### createXYLayoutData

    XYLayoutData createXYLayoutData()

  Returns a new object of class 'XY Layout Data'.

  Returns:
    a new object of class 'XY Layout Data'.
  ** Generated **

### createStackLayout

    StackLayout createStackLayout()

  Returns a new object of class 'Stack Layout'.

  Returns:
    a new object of class 'Stack Layout'.
  ** Generated **

### getGMFGraphPackage

    GMFGraphPackage getGMFGraphPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.